Name:           uniconvertor
Version:        1.1.5
Release:        %mkrel 3
Summary:        Universal vector graphics translator
Group:          Graphics/Editors and Converters
License:        LGPLv2+ and GPLv2+ and MIT
URL:            http://sk1project.org/modules.php?name=Products&product=uniconvertor
Source0:        http://uniconvertor.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         uniconvertor-underlinking.patch
BuildRequires:  python-devel
Requires:       python-imaging
Requires:       python-reportlab
Requires:       sk1libs

%description
UniConvertor is a universal vector graphics translator.
It uses sK1 engine to convert one format to another.

%prep
%setup -q -n uniconvertor-%{version}


%build
%apply_patches
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot} 

# Fix permissions
chmod a+x %{buildroot}%{python_sitearch}/uniconvertor/__init__.py
chmod g-w %{buildroot}%{python_sitearch}/uniconvertor/app/modules/*.so

# Don't duplicate documentation
rm -f %{buildroot}%{python_sitearch}/uniconvertor/{COPYRIGHTS,GNU_GPL_v2,GNU_LGPL_v2}

# Satisfy rpmlint claim on debuginfo subpackage
chmod 644 src/modules/*/*.{c,h}

%files
%doc README
%doc src/COPYRIGHTS
%{_bindir}/uniconvertor
%{py_platsitedir}/*




%changelog

* Thu Jan 24 2013 fwang <fwang> 1.1.5-3.mga3
+ Revision: 391918
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 doktor5000 <doktor5000> 1.1.5-2.mga2
+ Revision: 205519
- add Requires on sk1libs

* Mon Jan 30 2012 doktor5000 <doktor5000> 1.1.5-1.mga2
+ Revision: 203138
- add patch for underlinking issue, thanks to Anssi Hannula
- remove unused python_compile macros
- reset release back to 1
- remove unneeded patch
- imported package uniconvertor

